Search the Community
Showing results for tags 'orthogonal'.
-
Polar tracking problem
SAFeSTeR posted a topic in AutoCAD 2D Drafting, Object Properties & Interface
Hi, I've always used polar tracking instead of ortho mode where possible, but just recently I've noticed that it seems to be a bit 'off' when drawing verticle lines. I first noticed this issue a few days ago when I offset a horizontal line but the extreme right verticle line would not trim. When I zoomed right in, the lines were not touching. I made a few tests by drawing 6 verticle lines, 2 each at 1000, 2000 and 3000 units in length, using polar tracking of course. I looked at the co-ordinates of all the lines vertices and the X values did not match, indicating a diagonal line, albeit very slight. However, when I compared these X values I noticed that for every 1000 units the difference was between the vertices increased by 0.11 units, which seemed a bit uniform and something was at fault for these fluctuations. I also drew some lines with ortho mode activated and the lines were perfectly straight. Has anyone else experienced this or have any ideas as to why this may occur? Is there a 'fix' or some things I can check? Could it be a bug (although this has never happened to me until recently)? I know the difference is negligible, but at the same time it's bugging me a little bit. Thanks in advance.- 24 replies
-
- polar
- orthogonal
-
(and 2 more)
Tagged with:
-
Orthogonal polyline lisp....a little help here
Utah_Indie posted a topic in AutoLISP, Visual LISP & DCL
I started developing a lisp that will check all the polylines in a drawing for either the x or the y coordinate to be equal and change the color of each polyline that does not meet the criteria to red from "bylayer". I am having trouble with looping through each object sequentially and also the loop comparison of each vertex within the current object. Where I am trying to get to again is to check that all polylines within an architectural type of drawing are square and to alert which ones are not. I'm not a lisp expert so bear with me. If you want to correct my syntax great, or tutor me on what I'm doing so dreadfully wrong--even better. Thanks, Randy (first post) The code so far: (defun C:perp() (defun A1() (setq eFilter(list (cons 0 "polyline"))); entity names into a list (ssget "X" eFilter) ); ends defun A1 (defun B1() (setq eLen(length eList)); gets length of list ); ends defun b1 (defun D1() (setq Lwn 0); variable initial definition (setq e 0); ditto (repeat eLen ; repeat for length of entity list (setq e1(car (nth n e))) (if (= e1 10) (progn (terpri) (princ (cdr(nth n e))) ); closes progn ); closes if (setq Lwn (+ 1 Lwn)) (setq a (cdr (nth n e))) ); closes repeat ); closes D1 (defun Esub() (trace Esub) (setq coordLen(length e1)) ); closes Esub (repeat coordLen; repeat for length of coordinate list (defun G1() ;parse coordinates into xa ya xb yb (setq a (cdr (nth coordLen e))) (setq b (cdr (nth (+ coordLen 1) (+ e 1)))) ) ; ends G1 ;---------------BEGIN SUBROUTINE H1---------------------- (defun H1() (setq xa(car a)) (setq ya(cadr a)) (setq xb(car b)) (setq yb(cadr b)) ); closes H1 (defun H2() (= 0 (- xa xb)) (= 0 (- ya yb)) (T (Command "chprop" "p" "" "c" "red" "")) ); closes h2 ); closes repeat )- 7 replies
-
- perpendicular
- orthogonal
-
(and 2 more)
Tagged with: